Module java.desktop
Package java.awt.desktop

# Interface PrintFilesHandler

public interface PrintFilesHandler
An implementor can respond to requests to print documents that the app has been registered to handle.

Since:
  9
See Also:
  `Desktop.setPrintFileHandler(PrintFilesHandler)`

## Method Summary

Modifier and Type
Method
Description
`void`
`printFiles​(PrintFilesEvent e)`
Called when the application is asked to print a list of files.

## Method Details

### printFiles

void printFiles​(PrintFilesEvent e)
Called when the application is asked to print a list of files.

Parameters:
  `e` - the request to print a list of files